package net.northking.cctp.upperComputer.driver.harmony.hyppium.data;

public enum UiEventStage {
    StartUp(0),
    StartEnd(1),
    StartFindWidgets(2),
    StartFindWidgetsEnd(3);

    private final int value;

    UiEventStage(int value) {
        this.value = value;
    }

    public int getValue() {
        return this.value;
    }

    public static UiEventStage fromValue(int value) {
        for (UiEventStage stage : values()) {
            if (stage.value == value) return stage;
        }
        throw new IllegalArgumentException("Invalid value for UiEventStage: " + value);
    }
}
